package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal.TipoImportacao;

public class ItemMenuExportacaoFiscalECF extends DefaultItemMenuSistema {
	public ItemMenuExportacaoFiscalECF() {
		super("indexController.mniExportacaoFiscalECF.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.IMPRESSAORMD";
	}

	@Override
	public void ejecutar() {
		@SuppressWarnings("unchecked")
		HashMap<String, Boolean> map = TipoImportacaoFiscal.selecionaTipoImportacao(TipoImportacao.ECF, (HashMap<String, Boolean>) getArgs());

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaExportacaoFiscal.zul",
				Labels.getLabel("busquedaExportacaoFiscalECFController.window.title"), map, desktop);
	}
}
